{{ if eq .Values.global.run_tests "no"}}
{{- range $index, $job := .Values.deploy_jobs }}
---
apiVersion: batch/v1
kind: Job
metadata:
  name: {{ $.Chart.Name }}-{{ $job.name }}
  annotations:
    "helm.sh/hook": {{ pluck $.Values.global.env $job.when | first | default $job.when._default }}
    "helm.sh/hook-weight": "1{{ $index }}"
    "werf/watch-logs": "true"
spec:
  activeDeadlineSeconds: 2000
  backoffLimit: 0
  template:
    metadata:
      name: {{ $.Chart.Name }}-{{ $job.name }}
    spec:
      imagePullSecrets:
      - name: {{ required "$.Values.registry.secret_name required" $.Values.registry.secret_name }}
      initContainers:
        - name: wait-postgresql
          image: alpine:3.6
          command: [ '/bin/sh', '-c', 'while ! getent ahostsv4 {{ $.Chart.Name }}-postgresql;do sleep 1;done' ]
      containers:
      - name: job
        imagePullPolicy: Always
        command: {{ $job.command }}
{{ tuple "backend" $ | include "werf_container_image" | indent 8 }}
        env:
{{ tuple "backend" $ | include "werf_container_env" | indent 8 }}
{{- include "backend_envs" $ | indent 8 }}
      restartPolicy: Never
{{- include "prod_affinity" $ | indent 6 }}
{{- end }}
{{- end }}
